@import "breakpoints";
@import "variables";

.header-row {
  display: flex;
  justify-content: space-between;
  min-width: 280px;
  height: 50px;
  background-color: var(--ion-foreground-color);
  color: var(--fg-main);
  -webkit-app-region: drag;

  .header-left {
    display: inline-flex;
    text-align: left;
    padding: 0;

    .logo-segment {
      display: inline-block;
      height: 100%;
      // cursor: pointer;
      -webkit-app-region: no-drag;

      .logo-img {
        display: inline-block;
        vertical-align: top;
        padding: 2px 5px;
      }

      .logo-name {
        display: inline-block;
        vertical-align: top;
        font-size: 32px;
        vertical-align: top;
        padding: 7px 25px 7px 10px;
        font-weight: 500;

        .logo-name-main {
          position: relative;
          display: inline-block;
          color: var(--ion-color-primary-contrast);
        }
      }
    }

    .menu-btn-wrapper {
      display: inline-block;
      vertical-align: top;
      padding: 0 10px;
      -webkit-app-region: no-drag;

      ion-menu-button {
        font-size: 40px;
        --padding-top: 5px;
        --padding-bottom: 5px;
        --color: var(--ion-color-medium);

        &:hover {
          --color: var(--ion-color-dark);
        }
      }
    }
  }

  .header-right {
    position: relative;
    display: inline-flex;
    text-align: right;
    font-size: 16px;
    padding: 0 5px;

    .theme-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 10px;
      cursor: pointer;

      &.bottom-right-absolute {
        position: absolute;
        right: -5px;
        bottom: -10px;
        white-space: nowrap;
        font-size: 10px;
        color: var(--ion-color-medium-shade);
      }

      &.action-button {
        cursor: pointer;
        -webkit-app-region: no-drag;
        padding: 0;
        margin: -3px -5px 0 0;
      }
    }

    .language-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 11px;
      cursor: pointer;
    }

    .subsegment {
      font-size: 10px;
      color: var(--ion-color-medium-shade);
    }
  }

  .hover-target {
    &:hover {
      border-bottom: 3px solid var(--fg-highlight);
    }

    &:active {
      background-color: var(--ion-hover-background-color);
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
  .header-row {
    .header-left {
      .logo-segment {
        .logo-name {
          display: none;
        }
      }
    }
  }
}
@media (max-width: map-get($grid-breakpoints, "is")) {
  .header-row {
    min-width: 100px;

    .header-right {
      .subsegment {
        display: none;
      }
    }
  }
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
